package com.zd.airbottle.mapper;

import com.zd.airbottle.domain.QpAirBottle;
import com.zd.airbottle.domain.vo.QpAirBottleRVo;

import java.util.List;

/**
 * 气瓶Mapper接口
 *
 * @author zd
 */
public interface QpAirBottleMapper
{
    /**
     * 查询气瓶
     *
     * @param id 气瓶主键
     * @return 气瓶
     */
    QpAirBottle selectQpAirBottleById(Long id);

    /**
     * 查询气瓶列表
     *
     * @param qpAirBottle 气瓶
     * @return 气瓶集合
     */
    List<QpAirBottle> selectQpAirBottleList(QpAirBottle qpAirBottle);

    /**
     * 新增气瓶
     *
     * @param qpAirBottle 气瓶
     * @return 结果
     */
    int insertQpAirBottle(QpAirBottle qpAirBottle);

    /**
     * 修改气瓶
     *
     * @param qpAirBottle 气瓶
     * @return 结果
     */
    int updateQpAirBottle(QpAirBottle qpAirBottle);

    /**
     * 删除气瓶
     *
     * @param id 气瓶主键
     * @return 结果
     */
    int deleteQpAirBottleById(Long id);

    /**
     * 批量删除气瓶
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQpAirBottleByIds(Long[] ids);

    /**
     * 根据供应商ID集合获取气瓶数量
     * @param supplierIds 供应商ID集合
     * @return map结果集
     */
    List<QpAirBottleRVo> getBySupplierIds(List<Long> supplierIds);

    /**
     * 根据气瓶ID集合获取气瓶
     * @param bottleIds 气瓶ID集合
     * @return 结果集
     */
    List<QpAirBottle> getByIds(List<Long> bottleIds);
}